<?php

namespace Litecms\Ourteam\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OurteamTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Ourteam\Models\Ourteam $ourteam)
    {
        return [
            'id'                => $ourteam->getRouteKey(),
            'key'               => [
                'public'    => $ourteam->getPublicKey(),
                'route'     => $ourteam->getRouteKey(),
            ], 
            'name'              => $ourteam->name,
            'destination'       => $ourteam->destination,
            'description'       => $ourteam->description,
            'image'             => $ourteam->image,
            'url'               => [
                'public'    => trans_url('ourteam/'.$ourteam->getPublicKey()),
                'user'      => guard_url('ourteam/ourteam/'.$ourteam->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ourteam->status),
            'created_at'        => format_date($ourteam->created_at),
            'updated_at'        => format_date($ourteam->updated_at),
        ];
    }
}